[(#HTTP_HEADER{Content-type: application/json [; charset=(#CHARSET)]})]#CACHE{0}
[(#REM)
/*******************************************************************************\
 * BIODIV, plugin et squelette pour SPIP - https://www.spip.net/               *
 *         dédié à la gestion d'observations naturalistes                      *
 *                                                                             *
 *         Copyright (C) 2008-2020 Renaud LAURETTE                             *
 *                                                                             *
 * BIODIV a été développé initialement pour le projet Biodiv.Balma de l'APCVEB *
 * (Association de Protection du Cadre de Vie et de l'Environnement balmanais) * 
 *     voir Biodiv.Balma : https://balma.biodiv.fr/                            *
 *     voir APCVEB : http://apcveb.free.fr/                                    *
 *                                                                             *
 *  Ce programme est un logiciel libre distribué sous licence GNU/GPL.         *
 *  Pour plus de détails voir les fichier COPYING.txt et LICENCE-BIODIV.md     *
\*******************************************************************************/
]<?php

  $txt=file_get_contents("php://input");
  spip_log("JWS::Connect - Received token ","jws."._LOG_INFO_IMPORTANTE);
  $data = json_decode($txt, true);
  spip_log("JWS::Connect - Decoded","jws."._LOG_INFO_IMPORTANTE); 
  include_spip("inc/jws_connect");

  if(isset($data['token'])) { 
  	$key = $data['token'];
  	spip_log("JWS::Connect - Checking token","jws."._LOG_INFO_IMPORTANTE);
  	$reponse = jws_controle_token($key);
  	if($reponse["status"] > 0){
  		$reponse["message"] = _T('biodiv:jws_connexion_ok');
  	} elseif ($reponse["status"] < 0) {
  		$reponse["message"] = _T('biodiv:jws_token_expire');
  	} else {
  		$reponse["message"] = _T('biodiv:jws_token_incorrect');
  	}
  } else {
    $reponse = array("message" => _T('biodiv:jws_requete_incorrecte'));
    spip_log("JWS::Connect - Ill-formed query","jws."._LOG_INFO_IMPORTANTE);
  }
  spip_log("JWS::Connect - Check complete","jws."._LOG_INFO_IMPORTANTE);
  echo json_encode($reponse);
?>
